Advertisement
Guest User

out

a guest
Apr 20th, 2021
30
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. npm WARN deprecated mocha@1.21.4: Mocha v1.x is no longer supported.
  2.  
  3. npm WARN deprecated bcrypt@0.8.7: versions < v5.0.0 do not handle NUL in passwords properly
  4.  
  5. npm WARN excluding symbolic link tests/fixtures/another-dir/pm -> ../other-dir/pm
  6. npm WARN excluding symbolic link tests/fixtures/other-dir/pm -> ../pm
  7. npm WARN excluding symbolic link tests/fixtures/pmlink -> ./pm
  8. npm WARN engine commander@7.2.0: wanted: {"node":">= 10"} (current: {"node":"v0.10.25","npm":"1.3.10"})
  9.  
  10. npm WARN deprecated request@2.16.6: request has been deprecated, see https://github.com/request/request/issues/3142
  11.  
  12. npm WARN deprecated jade@0.26.3: Jade has been renamed to pug, please install the latest version of pug instead of jade
  13.  
  14. npm WARN deprecated aws-sign@0.2.1: Incorrectly published ES6 version into the 0.x branch
  15.  
  16. npm WARN deprecated node-uuid@1.4.8: Use uuid module instead
  17.  
  18. npm WARN deprecated hawk@0.10.2: This module moved to @hapi/hawk. Please make sure to switch over as this distribution is no longer supported and may contain bugs and critical security issues.
  19.  
  20. npm WARN deprecated mkdirp@0.3.5: Legacy versions of mkdirp are no longer supported. Please update to mkdirp 1.x. (Note that the API surface has changed to use Promises in 1.x.)
  21.  
  22. npm WARN engine debug@4.3.1: wanted: {"node":">=6.0"} (current: {"node":"v0.10.25","npm":"1.3.10"})
  23.  
  24. npm WARN engine hawk@0.10.2: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.25","npm":"1.3.10"})
  25.  
  26. npm WARN deprecated graceful-fs@2.0.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
  27.  
  28. npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
  29.  
  30. npm WARN deprecated cryptiles@0.1.3: This version has been deprecated in accordance with the hapi support policy (hapi.im/support). Please upgrade to the latest version to get the best features, bug fixes, and security patches. If you are unable to upgrade at this time, paid support is available for older versions (hapi.im/commercial).
  31.  
  32. npm WARN deprecated boom@0.3.8: This version has been deprecated in accordance with the hapi support policy (hapi.im/support). Please upgrade to the latest version to get the best features, bug fixes, and security patches. If you are unable to upgrade at this time, paid support is available for older versions (hapi.im/commercial).
  33. npm WARN deprecated sntp@0.1.4: This module moved to @hapi/sntp. Please make sure to switch over as this distribution is no longer supported and may contain bugs and critical security issues.
  34. npm WARN deprecated hoek@0.7.6: This version has been deprecated in accordance with the hapi support policy (hapi.im/support). Please upgrade to the latest version to get the best features, bug fixes, and security patches. If you are unable to upgrade at this time, paid support is available for older versions (hapi.im/commercial).
  35. npm WARN engine cryptiles@0.1.3: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.25","npm":"1.3.10"})
  36. npm WARN engine boom@0.3.8: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.25","npm":"1.3.10"})
  37. npm WARN engine sntp@0.1.4: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.25","npm":"1.3.10"})
  38. npm WARN engine hoek@0.7.6: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.25","npm":"1.3.10"})
  39.  
  40. > bcrypt@0.8.7 install /var/www/html/ircd.js/node_modules/bcrypt
  41. > node-gyp rebuild
  42.  
  43. npm WARN deprecated mkdirp@0.3.0: Legacy versions of mkdirp are no longer supported. Please update to mkdirp 1.x. (Note that the API surface has changed to use Promises in 1.x.)
  44.  
  45. make: Entering directory '/var/www/html/ircd.js/node_modules/bcrypt/build'
  46. CXX(target) Release/obj.target/bcrypt_lib/src/blowfish.o
  47. CXX(target) Release/obj.target/bcrypt_lib/src/bcrypt.o
  48. CXX(target) Release/obj.target/bcrypt_lib/src/bcrypt_node.o
  49. SOLINK_MODULE(target) Release/obj.target/bcrypt_lib.node
  50. SOLINK_MODULE(target) Release/obj.target/bcrypt_lib.node: Finished
  51. COPY Release/bcrypt_lib.node
  52. make: Leaving directory '/var/www/html/ircd.js/node_modules/bcrypt/build'
  53. carrier@0.3.0 node_modules/carrier
  54.  
  55. commander@7.2.0 node_modules/commander
  56.  
  57. irc@0.3.5 node_modules/irc
  58.  
  59. winston@0.7.3 node_modules/winston
  60. ├── cycle@1.0.3
  61. ├── stack-trace@0.0.10
  62. ├── eyes@0.1.8
  63. ├── colors@0.6.2
  64. ├── async@0.2.10
  65. ├── pkginfo@0.3.1
  66. └── request@2.16.6 (forever-agent@0.2.0, tunnel-agent@0.2.0, oauth-sign@0.2.0, json-stringify-safe@3.0.0, cookie-jar@0.2.0, aws-sign@0.2.1, mime@1.2.11, node-uuid@1.4.8, qs@0.5.6, hawk@0.10.2, form-data@0.0.10)
  67.  
  68. mocha@1.21.4 node_modules/mocha
  69. ├── diff@1.0.7
  70. ├── growl@1.8.1
  71. ├── commander@2.0.0
  72. ├── mkdirp@0.3.5
  73. ├── glob@3.2.3 (inherits@2.0.4, graceful-fs@2.0.3, minimatch@0.2.14)
  74. ├── debug@4.3.1 (ms@2.1.2)
  75. └── jade@0.26.3 (commander@0.6.1, mkdirp@0.3.0)
  76.  
  77. bcrypt@0.8.7 node_modules/bcrypt
  78. ├── bindings@1.2.1
  79. └── nan@2.3.5
Advertisement
RAW Paste Data Copied
Advertisement